Subject: [PATCH 3/5] iommu/arm-smmu: Introduce stream ID masking

From: [email-masked] (Will Deacon)
Date: Tue, 8 Oct 2013 16:10:07 +0100

On Tue, Oct 08, 2013 at 10:27:22AM +0100, Andreas Herrmann wrote:
> Ie. use a mask based on smr_mask_bits to map all stream IDs of an SMMU
> to one context.
> 
> This behaviour is controlled per SMMU node with DT property
> "arm,smmu-mask-stream-ids" and is only allowed if just a single master
> is attached to an SMMU. If the option is specified, all stream-ids
> that are provided in DT for the single master have no relevance.
> 
> This is useful/convenient if a master has more than 8 stream-ids or if
> not all stream-ids are known for a master device.

Hmmm, this really scares me. What's the use-case? I worry about people
inadvertently putting devices into an iommu domain because they happen to be
included in a mask. Your solution seems to be targetting a single master
with lots of IDs -- is this a PCI RC?

Will